The API represents the main injection mechanism into the Data Platform. It allows records creation and/or update. When no record id is provided or when the provided id is not already present in the Data Platform then a new record is created. If the id is related to an existing record in the Data Platform then an update operation takes place and a new version of the record is created. Required roles: 'users.datalake.editors' or 'users.datalake.admins'.
Unique identifier in whole Data Platform. When not provided, Data Platform will create and assign an id to the record. Should follow the naming convention: {data-partition-id}:{object-type}:{uuid}.
Kind of data it is being ingested. Must follow the naming convention: {authority/data-partition-id}:{source}:{entity-type}:{major}.{minor}.{patch}.
{ "viewers": [ "data.default.viewers@{datapartition}.{domain}.com" ], "owners": [ "data.default.owners@{datapartition}.{domain}.com" ] }
{ "legaltags": [ "slb-osdu-prod-des-prod-testing-sample-legaltag" ], "otherRelevantDataCountries": [ "US" ] }
Record payload represented as a list of key-value pairs.
{ "msg": "hello world, from Data Platform" }
An array of elements collecting the frame of reference(FoR) information in records.
[ { "kind": "Unit", "persistableReference": "{\"scaleOffset\":{\"scale\":1.0,\"offset\":0.0},\"symbol\":\"m\",\"baseMeasurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"type\":\"USO\"}", "propertyNames": [ … ], "name": "m" } ]
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/storage/v2/records
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/storage/v2/records
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/storage/v2/records
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-storage-service/records
curl -i -X PUT \
'https://as5.api.enterprisedata.slb.com/api/storage/v2/records?skipdupes=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '[
{
"id": "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1",
"kind": "slb-osdu-prod-des-prod-testing:wks:work-product-component--WellLog:1.0.0",
"acl": {
"viewers": [
"data.default.viewers@{datapartition}.{domain}.com"
],
"owners": [
"data.default.owners@{datapartition}.{domain}.com"
]
},
"legal": {
"legaltags": [
"slb-osdu-prod-des-prod-testing-sample-legaltag"
],
"otherRelevantDataCountries": [
"US"
]
},
"data": {
"msg": "hello world, from Data Platform"
},
"meta": [
{
"kind": "Unit",
"persistableReference": "{\"scaleOffset\":{\"scale\":1.0,\"offset\":0.0},\"symbol\":\"m\",\"baseMeasurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"type\":\"USO\"}",
"propertyNames": [
"ElevM"
],
"name": "m"
}
]
}
]'Records created and/or updated successfully.
{ "recordCount": 0, "recordIds": [ "string" ], "skippedRecordIds": [ "string" ] }